###################################################
### chunk number 1: 
###################################################
library(SubpathwayMiner)
library(Rgraphviz)


###################################################
### chunk number 2: 
###################################################
geneList<-getAexample(k=100)
geneList[1:10]


###################################################
### chunk number 3: 
###################################################
geneList<-getAexample(k=100)
ann<-getAnn(geneList)
result<-printAnn(ann)


###################################################
### chunk number 4: 
###################################################
result[1:10,2:5]


###################################################
### chunk number 5: 
###################################################
geneList<-getAexample(k=100)
ann<-getKcsmpAnn(geneList,k=4)
printAnn(ann)[1:10,2:5]


###################################################
### chunk number 6: 
###################################################
geneList<-getAexample(k=100)
subGraphListKO<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
annKO<-getKOAnn(geneList,graphList=subGraphListKO)
printAnn(annKO)[1:10,2:5]


###################################################
### chunk number 7: 
###################################################
ann<-getAnn(geneList)
ann[1:2]


###################################################
### chunk number 8:  eval=FALSE
###################################################
## subGraphList<-getKcSubGraph(k=4)
## ann<-getAnn(geneList,graphList=subGraphList)


###################################################
### chunk number 9:  eval=FALSE
###################################################
## ann<-getKcsmpAnn(geneList,k=4)


###################################################
### chunk number 10:  eval=FALSE
###################################################
## subGraphListKO<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
## annKO<-getKOAnn(geneList,graphList=subGraphListKO)


###################################################
### chunk number 11: 
###################################################
ann<-getAnn(geneList)
cutedAnn<-cutoffAnn(ann,"pvalue","<",0.0001)
printAnn(cutedAnn)[2:5]


###################################################
### chunk number 12:  eval=FALSE
###################################################
## ann<-getAnn(geneList)
## result<-printAnn(ann)
## result[1:10,2:5]


###################################################
### chunk number 13:  eval=FALSE
###################################################
##  geneList<-getAexample(k=1000)
##  ann<-getAnn(geneList)
##  result<-printAnn(ann)
##  write.table(result,file="result",col.names=NA,sep="\t")


###################################################
### chunk number 14: 
###################################################
geneList<-getAexample(k=1000)
subGraphList<-getKcSubGraph(k=4)
ann<-getAnn(geneList,graphList=subGraphList)
plotAnn("path:00010_1",subGraphList,ann) 


###################################################
### chunk number 15: 
###################################################
geneList<-getAexample(k=1000)
subGraphListKO<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
annKO<-getKOAnn(geneList,graphList=subGraphListKO)
plotKOAnn("path:00010_1",subGraphListKO,annKO) 


###################################################
### chunk number 16:  eval=FALSE
###################################################
## subGraphList<-getKcSubGraph(k=4)
## ann<-getAnn(geneList,graphList=subGraphList)
## gotoKEGG("path:00010_1",ann)


###################################################
### chunk number 17:  eval=FALSE
###################################################
## subGraphListKO<-getKcSubGraph(k=4,graphList=getDefaultKOUndirectedGraph())
## annKO<-getKOAnn(geneList,graphList=subGraphListKO)
## gotoKEGG("path:00010_1",annKO)


###################################################
### chunk number 18:  eval=FALSE
###################################################
## ann<-getAnn(geneList)
## gotoKEGG("path:00010",ann)


###################################################
### chunk number 19: 
###################################################
getOrgAndIdType()


###################################################
### chunk number 20:  eval=FALSE
###################################################
##  updateOrgAndIdType("sce","sgd-sce")


###################################################
### chunk number 21:  eval=FALSE
###################################################
## saveKe2g("sce_sgd-sce.rda")


###################################################
### chunk number 22:  eval=FALSE
###################################################
## loadKe2g("sce_sgd-sce.rda")


###################################################
### chunk number 23: 
###################################################
uGraph<-getDefaultUndirectedGraph()
uGraph[1:2]


###################################################
### chunk number 24: 
###################################################
getPNameFromPId("path:00010")


###################################################
### chunk number 25: 
###################################################
plot(uGraph$"path:00010","neato")


###################################################
### chunk number 26: 
###################################################
graphList<-getDefaultUndirectedGraph()
graphList<-graphList[sapply(graphList,function(x) length(x)>0)]
index<-0
mySubGraph<-list()
mySubNames<-character()
for(i in 1:length(graphList)){
         mc<-maxClique(graphList[[i]])
         if(length(mc)>0){
             for (j in 1:length(mc[[1]])) {
                   index<-index+1
                   mySubGraph[index]<-subGraph(mc[[1]][[j]],graphList[[i]])
                   mySubNames[index]<-paste(names(graphList)[i],j,sep="_")
             }
        }
}
names(mySubGraph)<-mySubNames


###################################################
### chunk number 27: 
###################################################
mySubGraph[1]
plot(mySubGraph[[1]],"neato")


###################################################
### chunk number 28: 
###################################################
geneList<-getAexample(k=100)
ann<-getAnn(geneList,graphList=mySubGraph)
printAnn(ann)[1:10,2:5]


###################################################
### chunk number 29: 
###################################################
plotAnn("path:00361_2",mySubGraph,ann)


###################################################
### chunk number 30: 
###################################################
#Use disease-gene associations from GAD.
path<-paste(system.file(package="SubpathwayMiner"),
"/localdata/Dise2G.txt",sep="")
Dise2G<-read.table(path,header=TRUE,sep = "\t", 
quote="\"",colClasses="character")
#generate network
DMSPN<-generateNetwork(Dise2G,k=3,pvalue=0.005,geneNumber=0,
diseCate=TRUE,pathClass=TRUE,exampleNumber=4,verbose=FALSE)
DMSPN[1:5,c(1,2,3,4,13,7)]


###################################################
### chunk number 31:  eval=FALSE
###################################################
## write.table(DMSPN,"DMSPN.txt",row.names=FALSE,sep="\t")


###################################################
### chunk number 32:  eval=FALSE
###################################################
## DMSPN<-generateNetwork(Dise2G,k=4,pvalue=0.001,geneNumber=3,exampleNumber=4)


###################################################
### chunk number 33:  eval=FALSE
###################################################
## DMSPN<-generateNetwork(Dise2G,diseCate=TRUE,pathClass=TRUE,exampleNumber=4)


###################################################
### chunk number 34:  eval=FALSE
###################################################
## ##all diseases are treated
## #data("inData")
## #DMSPN<-generateNetwork(Dise2G,exampleNumber=-1)


